For the complete documentation index, see llms.txt. This page is also available as Markdown.

Room Type

Return detailed information for a specific room type contained in your group or property.

API: Direct Booking · Operation: Room Type · Direction: SM → Property · Method: Pull (Property-initiated)

Retrieve details of a specific room type

get

Retrieve a specific room type's details

Authorizations
x-sm-api-keystringRequired
Path parameters
propertyUuidstringRequired

uuid for a property

roomTypeUuidstring · uuidRequired

Room type uuid

Header parameters
x-sm-api-keystringRequired

access token retrieved from Multi-Property Platform

Responses
200

OK

application/json
uuidstring · uuidRequired

property uuid

namestring · min: 1 · max: 50Required

room type name

descriptionstring · min: 1 · nullableRequired

room description

categorystring · nullableRequired

room type category

roomSizenumber · min: 1 · max: 99999.99 · nullableRequired

room size

roomSizeUnitstring · enum · nullableRequired

room size units

Possible values:
bathroomQuantitystring · enum · nullableRequired

number of bathrooms included

Possible values:
maxOccupancyintegerRequired
maxAdultOccupancyintegerRequired
maxChildOccupancyintegerRequired
maxInfantOccupancyintegerRequired
get/properties/{propertyUuid}/room-types/{roomTypeUuid}
GET /properties/{propertyUuid}/room-types/{roomTypeUuid} HTTP/1.1
x-sm-api-key: text
Accept: */*
{
  "uuid": "403950b4-0919-4396-afa1-3957a38a83f8",
  "name": "Ocean View",
  "description": "Private bedroom",
  "category": "room",
  "roomSize": 80,
  "roomSizeUnit": "m^2",
  "bathroomQuantity": "1",
  "maxOccupancy": 1,
  "maxAdultOccupancy": 1,
  "maxChildOccupancy": 1,
  "maxInfantOccupancy": 1
}

sparkles

Still have questions?

Last updated

Was this helpful?